package ru.cft.task.restClient;

import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.Alert;
import javafx.stage.Modality;
import javafx.stage.Stage;

import java.io.IOException;

public class Utils {
    public static void showAlert(String type, String message) {
        Alert.AlertType alertType;

        switch (type) {
            case "info":
                alertType = Alert.AlertType.INFORMATION;
                break;
            case "error":
                alertType = Alert.AlertType.ERROR;
                break;
            case "warn":
                alertType = Alert.AlertType.INFORMATION;
                break;
            case "confirm":
                alertType = Alert.AlertType.CONFIRMATION;
                break;
            default:
                alertType = Alert.AlertType.NONE;
                break;
        }
        Alert alert = new Alert(alertType);
        alert.setHeaderText(null);
        alert.setTitle(type.toUpperCase());
        alert.setContentText(message);
        alert.showAndWait();
    }
}
